igeo.io

## Class IRhino3dm.Chunk

- java.lang.Object
- - igeo.io.IRhino3dm.Chunk

- Direct Known Subclasses:
    IRhino3dm.ChunkTable
  Enclosing class:
    IRhino3dm

      public static class IRhino3dm.Chunk
      extends java.lang.Object

  Rhino 3dm chunk objects. 3dm file is basically written as series of and nested chunks.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `body`
    `byte[]` | `content`
    `java.util.ArrayList<byte[]>` | `contents`
    `java.util.zip.CRC32` | `crc`
    `int` | `header`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Chunk(int h, java.util.ArrayList<byte[]> c)`
    `Chunk(int h, java.util.ArrayList<byte[]> c, java.util.zip.CRC32 crc)`
    `Chunk(int h, byte[] c)`
    `Chunk(int h, byte[] c, java.util.zip.CRC32 crc)`
    `Chunk(int h, int b)`
    `Chunk(int h, int b, java.util.ArrayList<byte[]> c)`
    `Chunk(int h, int b, java.util.ArrayList<byte[]> c, java.util.zip.CRC32 crc)`
    `Chunk(int h, int b, byte[] c)`
    `Chunk(int h, int b, byte[] c, java.util.zip.CRC32 crc)`
    `Chunk(int h, int b, int i)`
    `Chunk(int h, java.lang.String str)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `chunkLength()`
    `void` | `clear()`
    `int` | `contentLength()`
    `boolean` | `doCRC()`
    `int` | `getBody()`
    `byte[]` | `getBytes()`
    `byte[]` | `getContent()`
    `java.util.ArrayList<byte[]>` | `getContents()`
    `int` | `getCRC()`
    `int` | `getHeader()`
    `boolean` | `isEndOfTable()`
    `boolean` | `isShort()`
    `void` | `setContentLength()`
    `void` | `setCRC(java.util.zip.CRC32 crc)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### header

          public int header

    - #### body

          public int body

    - #### content

          public byte[] content

    - #### contents

          public java.util.ArrayList<byte[]> contents

    - #### crc

          public java.util.zip.CRC32 crc

  - ### Constructor Detail

    - #### Chunk

          public Chunk(int h,
                       int b)

    - #### Chunk

          public Chunk(int h,
                       int b,
                       byte[] c,
                       java.util.zip.CRC32 crc)

    - #### Chunk

          public Chunk(int h,
                       int b,
                       byte[] c)

    - #### Chunk

          public Chunk(int h,
                       byte[] c,
                       java.util.zip.CRC32 crc)

    - #### Chunk

          public Chunk(int h,
                       byte[] c)

    - #### Chunk

          public Chunk(int h,
                       java.lang.String str)

    - #### Chunk

          public Chunk(int h,
                       int b,
                       int i)

    - #### Chunk

          public Chunk(int h,
                       int b,
                       java.util.ArrayList<byte[]> c,
                       java.util.zip.CRC32 crc)

    - #### Chunk

          public Chunk(int h,
                       int b,
                       java.util.ArrayList<byte[]> c)

    - #### Chunk

          public Chunk(int h,
                       java.util.ArrayList<byte[]> c,
                       java.util.zip.CRC32 crc)

    - #### Chunk

          public Chunk(int h,
                       java.util.ArrayList<byte[]> c)

  - ### Method Detail

    - #### setContentLength

          public void setContentLength()

    - #### getHeader

          public int getHeader()

    - #### getBody

          public int getBody()

    - #### getContent

          public byte[] getContent()

    - #### contentLength

          public int contentLength()

    - #### getContents

          public java.util.ArrayList<byte[]> getContents()

    - #### chunkLength

          public int chunkLength()

    - #### getBytes

          public byte[] getBytes()

    - #### isShort

          public boolean isShort()

    - #### doCRC

          public boolean doCRC()

    - #### isEndOfTable

          public boolean isEndOfTable()

    - #### setCRC

          public void setCRC(java.util.zip.CRC32 crc)

    - #### getCRC

          public int getCRC()

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### clear

          public void clear()